/* --- CAH ----------------------------------------------------- */

/* donnes ASCII alimentation 1987 (food87.csv) */
clear
insheet using "food87.csv", delimiter(";")

/* CAH des pays, distance euclidienne entre les pays et distance moyenne entre les groupes */
cluster averagelinkage grcof-crisp, measure(L2) name(cahfood)

/* affichage des nouvelles variables cres, qui donnent une description complte de l'arborescence,
permettant de la construire en partant de la gauche : numro du "nud" (facultatif), numro du pays
agrg et hauteur de l'agrgation en cours */
list cahfood_id cahfood_ord cahfood_hgt

/* dessin de l'arbre, ou dendogramme */
cluster dendrogram cahfood, labels(pays)

/* partitions par troncature de l'arbre, trois classes par exemple */
cluster generate clus3=groups(3), name(cahfood) 
/* affichage des classes */
by clus3, sort : list pays clus3

cluster generate clus4=groups(4) /* quatre classes */
by clus4, sort : list pays clus4

/* ------------------------------------------------------------- */
